%global pypi_name influxdb

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        1%{?dist}
Summary:        InfluxDB client

License:        MIT
URL:            https://github.com/influxdb/influxdb-python
Source0:        https://files.pythonhosted.org/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-nose
BuildRequires:  python-nose-cov
BuildRequires:  python-mock
BuildRequires:  python-requests-mock
BuildRequires:  python2-requests
BuildRequires:  python2-dateutil
BuildRequires:  pytz
BuildRequires:  python-six
BuildRequires:  python2-pandas
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-nose-cov
BuildRequires:  python3-mock
BuildRequires:  python3-requests-mock
BuildRequires:  python3-requests
BuildRequires:  python3-dateutil
BuildRequires:  python3-pytz
BuildRequires:  python3-six
BuildRequires:  python3-pandas

%description
InfluxDB Python is a client for interacting with InfluxDB. 

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
%description -n python2-%{pypi_name}
InfluxDB Python is a client for interacting with InfluxDB.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
%description -n python3-%{pypi_name}
InfluxDB Python is a client for interacting with InfluxDB.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%check

nosetests-%{python2_version} -e client_test_with_server.py
nosetests-%{python3_version} -e client_test_with_server.py

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py*egg-info

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py*egg-info

%changelog
* Wed Oct 05 2016 David Hannequin <david.hannequin@gmail.com> - 3.0.0-1
- Initial package.
